<?php

if(!function_exists('apache_request_headers'))
{
    function apache_request_headers()
    {
        $arh = [];
        $rx_http = '/\AHTTP_/';
        foreach($_SERVER as $key => $val)
        {
            if(preg_match($rx_http, $key))
            {
                $arh_key = preg_replace($rx_http, '', $key);
                $rx_matches = [];
                $rx_matches = explode('_', $arh_key);
                if(count($rx_matches) > 0 and strlen($arh_key) > 2)
                {
                    foreach($rx_matches as $ak_key => $ak_val) $rx_matches[$ak_key] = ucfirst($ak_val);
                    $arh_key = implode('-', $rx_matches);
                }
                $arh[$arh_key] = $val;
            }
        }

        $arh = array_merge($arh, $_REQUEST);
        if(isset($arh['SECURECODE']))
        {
            $arh['securecode'] = $arh['SECURECODE'];
            $arh['email'] = $arh['EMAIL'];
        }

        return($arh);
    }
}
